Bug 454973 - (CVE-2008-3140) CVE-2008-3140 wireshark: crash in the syslog dissector
CVE-2008-3140 wireshark: crash in the syslog dissector
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=vendor-sec,reported=20080630,p...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-11 03:45 EDT by Tomas Hoger
Modified: 2008-11-13 10:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-13 10:29:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-07-11 03:45:18 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-3140 to the following vulnerability:

The syslog dissector in Wireshark (formerly Ethereal) 1.0.0 allows
remote attackers to cause a denial of service (application crash) via
unknown vectors, possibly related to an "incomplete SS7 MSU syslog
encapsulated packet."

References:
http://www.wireshark.org/security/wnpa-sec-2008-03.html
http://secunia.com/advisories/30886

Upstream bug:
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2647

Upstream commit:
http://anonsvn.wireshark.org/viewvc/index.py?view=rev&revision=25612
Comment 1 Tomas Hoger 2008-07-11 03:59:06 EDT
This issue did not affect the versions of wireshark as shipped with Red Hat
Enterprise Linux 2.1, 3, 4, or 5.
Comment 2 Fedora Update System 2008-07-15 08:18:28 EDT
wireshark-1.0.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2008-07-23 03:19:31 EDT
wireshark-1.0.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Red Hat Product Security 2008-11-13 10:29:44 EST
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-6645
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-6440

Note You need to log in before you can comment on or make changes to this bug.